package cn.axzo.msg.center.inside.notices.service.umeng.ios;


import cn.axzo.msg.center.inside.notices.service.umeng.IOSNotification;

public class IOSCustomizedcast extends IOSNotification {

  public IOSCustomizedcast(String appkey, String CmpAndroidSecret) throws Exception {
    setCmpAndroidSecret(CmpAndroidSecret);
    setPredefinedKeyValue("appkey", appkey);
    this.setPredefinedKeyValue("type", "customizedcast");
  }

  public void setAlias(String alias, String aliasType) throws Exception {
    setPredefinedKeyValue("alias", alias);
    setPredefinedKeyValue("alias_type", aliasType);
  }

  public void setFileId(String fileId, String aliasType) throws Exception {
    setPredefinedKeyValue("file_id", fileId);
    setPredefinedKeyValue("alias_type", aliasType);
  }

}
